#
# spec file for package perl-Guard
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Guard
Version:        1.023
Release:        1.40
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name Guard
Summary:        Safe Cleanup Blocks
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Guard/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module implements so-called "guards". A guard is something (usually an
object) that "guards" a resource, ensuring that it is cleaned up when
expected.

Specifically, this module supports two different types of guards: guard
objects, which execute a given code block when destroyed, and scoped
guards, which are tied to the scope exit.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYING README

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 1.023
  see /usr/share/doc/packages/perl-Guard/Changes
  1.023 Thu Nov 20 19:12:58 CET 2014
  - work around backwards compatibility breakage in perl 5.22
    (removal of PL_sv_objcount).
  1.022 Sat Jul  2 02:38:21 CEST 2011
  - document how () after the function name overrides the
    prototype.
  - improve documentation, fix the examples.
  1.021 Sun Jul 19 07:43:17 CEST 2009
* Fri Apr 17 2015 coolo@suse.com
- updated to 1.022
  see /usr/share/doc/packages/perl-Guard/Changes
  1.022 Sat Jul  2 02:38:21 CEST 2011
  - document how () after the function name overrides the
    prototype.
  - improve documentation, fix the examples.
  1.021 Sun Jul 19 07:43:17 CEST 2009
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Fri Nov 19 2010 pascal.bleser@opensuse.org
- initial package (1.021)
